var slotName = new Object( );
slotName[ 0 ] = "";
slotName[ 1 ] = "";
slotName[ 2 ] = "";

var twoFrameLayout = 0;
var threeFrameLayout = 1;
var framesLayout = threeFrameLayout;

var currentSaveSlot = 0;
var helpWindow;

/* The following variables are obfuscatingly short in order to decrease the 
 * size of the cookies that store the saved games. Here is an explanation of
 * each variable name:
 *
 *  g: game label (the name of the game) dummy variable
 * bl: book location
 *  c: base combat skill
 *  e: base endurance
 * cm: combat skill modifier
 * em: endurance modifier
 * cc: current combat skill
 * ce: current endurance
 * wp: current willpower
 *  d: powers--think "disciplines"
 * hm: higher magicks--not yet implemented
 *  b: backpack
 * hp: herb pouch
 *  w: weapons
 *  s: special items (that take up space)
 * os: other special items (that don't take up space)
 *  n: notes
 *  p: pocket (nobles)
 * ux: use extended combat results table
 *
 */

var g = "";

var bl = "";

var c = 10;
var e = 20;

var cm = 0;
var em = 0;

var cc = 10;
var ce = 20;

var wp = 20;

var d = new Object( );
d[ 0 ] = "";
d[ 1 ] = "";
d[ 2 ] = "";
d[ 3 ] = "";
d[ 4 ] = "";
d[ 5 ] = "";

var b = new Object( );
b[ 0 ] = "";
b[ 1 ] = "";
b[ 2 ] = "";
b[ 3 ] = "";
b[ 4 ] = "";
b[ 5 ] = "";
b[ 6 ] = "";
b[ 7 ] = "";

var hp = new Object( );
hp[ 0 ] = "";
hp[ 1 ] = "";
hp[ 2 ] = "";
hp[ 3 ] = "";
hp[ 4 ] = "";
hp[ 5 ] = "";
hp[ 6 ] = "";
hp[ 7 ] = "";

var w = new Object( );
w[ 0 ] = "";
w[ 1 ] = "";

var s = new Object( );
s[ 0 ] = "";
s[ 1 ] = "";
s[ 2 ] = "";
s[ 3 ] = "";
s[ 4 ] = "";
s[ 5 ] = "";
s[ 6 ] = "";
s[ 7 ] = "";
s[ 8 ] = "";
s[ 9 ] = "";
s[ 10 ] = "";
s[ 11 ] = "";

var os = " ";
var n = " ";

var p = 0;

var ux = true;

function storeBookLocation( ) {
  if( isBook( ) ) {
    bl = new String( "" + wrapper.main.location );
  }
}

function returnToBook( ) {
  if( bl ) {
    setBookLocation( bl );
  }
  else {
    setBookLocation( "main.htm" );
  }
  return true;
}

function setBookLocation( url ) {
  wrapper.main.location = new String( "" + url );
  bl = url;
}

function getBookLocation( ) {
  if( isBook( ) ) {
    bl = new String( "" + wrapper.main.location );
  }
  return bl;
}

function setSystemLocation( url ) {
  storeBookLocation( );
  if( framesLayout == twoFrameLayout ) {
    wrapper.main.location = url;
  }
  else if( framesLayout == threeFrameLayout ) {
    wrapper.system.location = url;
  }
}

function random( ) {
  var returnValue = Math.floor( 10 * Math.random( ) );
  if( returnValue >= 10 ) returnValue = 9;

  alert( "Nmero aleatorio: " + returnValue );
}

function codify( string ) {
  string = new String( "" + string );
  string = string.replace( /\n/g, "\\n" );
  string = string.replace( /\r/g, "\\r" );
  string = string.replace( /\'/g, "\\\'" );
  string = string.replace( /=/g, "\\=" );

  return string;
}

function writeGame( slot, name ) {
  var cookieValue = new String( "" );

  slotName[ slot ] = name;

  cookieValue += "g='" + codify( name ) + "';";
  cookieValue += "c='" + parseInt( c ) + "';";
  cookieValue += "cm='" + parseInt( cm ) + "';";
  cookieValue += "cc='" + parseInt( cc ) + "';";
  cookieValue += "e='" + parseInt( e ) + "';";
  cookieValue += "em='" + parseInt( em ) + "';";
  cookieValue += "ce='" + parseInt( ce ) + "';";
  cookieValue += "wp='" + parseInt( wp ) + "';";
  cookieValue += "d[0]='" + codify( d[ 0 ] ) + "';";
  cookieValue += "d[1]='" + codify( d[ 1 ] ) + "';";
  cookieValue += "d[2]='" + codify( d[ 2 ] ) + "';";
  cookieValue += "d[3]='" + codify( d[ 3 ] ) + "';";
  cookieValue += "d[4]='" + codify( d[ 4 ] ) + "';";
  cookieValue += "d[5]='" + codify( d[ 5 ] ) + "';";
  cookieValue += "d[6]='" + codify( d[ 6 ] ) + "';";
  cookieValue += "d[7]='" + codify( d[ 7 ] ) + "';";
  cookieValue += "d[8]='" + codify( d[ 8 ] ) + "';";
  cookieValue += "d[9]='" + codify( d[ 9 ] ) + "';";
  cookieValue += "b[0]='" + codify( b[ 0 ] ) + "';";
  cookieValue += "b[1]='" + codify( b[ 1 ] ) + "';";
  cookieValue += "b[2]='" + codify( b[ 2 ] ) + "';";
  cookieValue += "b[3]='" + codify( b[ 3 ] ) + "';";
  cookieValue += "b[4]='" + codify( b[ 4 ] ) + "';";
  cookieValue += "b[5]='" + codify( b[ 5 ] ) + "';";
  cookieValue += "b[6]='" + codify( b[ 6 ] ) + "';";
  cookieValue += "b[7]='" + codify( b[ 7 ] ) + "';";
  cookieValue += "hp[0]='" + codify( hp[ 0 ] ) + "';";
  cookieValue += "hp[1]='" + codify( hp[ 1 ] ) + "';";
  cookieValue += "hp[2]='" + codify( hp[ 2 ] ) + "';";
  cookieValue += "hp[3]='" + codify( hp[ 3 ] ) + "';";
  cookieValue += "hp[4]='" + codify( hp[ 4 ] ) + "';";
  cookieValue += "hp[5]='" + codify( hp[ 5 ] ) + "';";
  cookieValue += "hp[6]='" + codify( hp[ 6 ] ) + "';";
  cookieValue += "hp[7]='" + codify( hp[ 7 ] ) + "';";
  cookieValue += "w[0]='" + codify( w[ 0 ] ) + "';";
  cookieValue += "w[1]='" + codify( w[ 1 ] ) + "';";
  cookieValue += "s[0]='" + codify( s[ 0 ] ) + "';";
  cookieValue += "s[1]='" + codify( s[ 1 ] ) + "';";
  cookieValue += "s[2]='" + codify( s[ 2 ] ) + "';";
  cookieValue += "s[3]='" + codify( s[ 3 ] ) + "';";
  cookieValue += "s[4]='" + codify( s[ 4 ] ) + "';";
  cookieValue += "s[5]='" + codify( s[ 5 ] ) + "';";
  cookieValue += "s[6]='" + codify( s[ 6 ] ) + "';";
  cookieValue += "s[7]='" + codify( s[ 7 ] ) + "';";
  cookieValue += "s[8]='" + codify( s[ 8 ] ) + "';";
  cookieValue += "s[9]='" + codify( s[ 9 ] ) + "';";
  cookieValue += "s[10]='" + codify( s[ 10 ] ) + "';";
  cookieValue += "s[11]='" + codify( s[ 11 ] ) + "';";
  cookieValue += "os='" + codify( os ) + "';";
  cookieValue += "n='" + codify( n ) + "';";
  cookieValue += "p='" + parseInt( p ) + "';";
  if( !ux ) cookieValue += "ux=false;";

  cookieValue += "bl='" + getBookLocation( ) + "';";

  cookieValue = escape( cookieValue );
  if( cookieValue.length > 4093 ) { // cookie + name must be less than 4 KB
    alert( "No hay suficiente espacio disponible para guardar el juego. Por favor, intente eliminar informacin que no le interese." );
    return false;
  }

  var date = new Date();
  date.setTime( date.getTime() + 1000*60*60*24*365*2 ); // 2 years hence

  if( slot == 0 ) {
    document.cookie = "SK0=" + cookieValue + "; expires=" + date.toGMTString();
  }
  else if( slot == 1 ) {
    document.cookie = "SK1=" + cookieValue + "; expires=" + date.toGMTString();
  }
  else if( slot == 2 ) {
    document.cookie = "SK2=" + cookieValue + "; expires=" + date.toGMTString();
  }
  else {
    return false;
  }

  return true;
}

function readGame( slot ) {
  var cookies = document.cookie;
  var position;

  if( slot == 0 ) {
    position = cookies.indexOf( "SK0=" );
  }
  else if( slot == 1 ) {
    position = cookies.indexOf( "SK1=" );
  }
  else if( slot == 2 ) {
    position = cookies.indexOf( "SK2=" );
  }
  else {
    return false;
  }

  if( position != -1 ) {
    position += 4;
    var end = cookies.indexOf( ";", position );
    if( end == -1 ) end = cookies.length;

    var cookie = cookies.substring( position, end );
    if( cookie != "" ) {
      cookie = unescape( cookie );
      eval( cookie );
      setBookLocation( bl );
      return true;
    }
    else {
      return false;
    }
  }
  else {
    return false;
  }
}

function readGameNames( ) {
  var cookies = new String( document.cookie );
  var searchRegExp = /[=;]g='[^']*'/;
  var replaceRegExp = /^.*[=;]g='([^']*)'.*$/;

  cookies = cookies.split( ";" );
  for(var i = 0; i < cookies.length; ++i) {
    if( cookies[ i ].indexOf( "SK0=" ) != -1 ) {
      cookies[ i ] = unescape( cookies[ i ] );
      if( searchRegExp.test( cookies[ i ] ) ) {
        slotName[ 0 ] = cookies[ i ].replace( replaceRegExp, "$1" );
      }
      else {
        slotName[ 0 ] = "";
      }
    }
    else if( cookies[ i ].indexOf( "SK1=" ) != -1 ) {
      cookies[ i ] = unescape( cookies[ i ] );
      if( searchRegExp.test( cookies[ i ] ) ) {
        slotName[ 1 ] = cookies[ i ].replace( replaceRegExp, "$1" );
      }
      else {
        slotName[ 1 ] = "";
      }
    }
    else if( cookies[ i ].indexOf( "SK2=" ) != -1 ) {
      cookies[ i ] = unescape( cookies[ i ] );
      if( searchRegExp.test( cookies[ i ] ) ) {
        slotName[ 2 ] = cookies[ i ].replace( replaceRegExp, "$1" );
      }
      else {
        slotName[ 2 ] = "";
      }
    }
  }

  return true;  
}

function deleteGame( slot ) {
  var date = new Date( 0 );
  if( slot == 0 ) {
    document.cookie = "SK0=; expires=" + date.toGMTString();
    slotName[ 0 ] = "";
  }
  else if( slot == 1 ) {
    document.cookie = "SK1=; expires=" + date.toGMTString();
    slotName[ 1 ] = "";
  }
  else if( slot == 2 ) {
    document.cookie = "SK2=; expires=" + date.toGMTString();
    slotName[ 2 ] = "";
  }
  else {
    return false;
  }

  return true;
}

function isBook( ) {
/* This function is used differently than isWotW( ). This is used to test
 * the location of what's currently in the window. isWotW( ) tests the value
 * that's stored in the "bl" variable. This function is used to determine
 * whether or not to set "bl" to the current value, therefore it cannot use
 * the getBookLocation( ) function.
 */
  url = new String( "" + wrapper.main.location );
  if( url.indexOf( "01gstw" ) != -1 ) return true;
  if( url.indexOf( "02tfc" ) != -1 ) return true;
  if( url.indexOf( "03tcok" ) != -1 ) return true;
  if( url.indexOf( "04wotw" ) != -1 ) return true;
  return false;
}

function isWotW( ) {
/* See isBook( ) for notes */
  url = getBookLocation( );
  if( url.indexOf( "04wotw" ) != -1 ) return true;
  else return false;
}

function newCharacter( ) {
  g = "";
  bl = "";

  c = 10;
  e = 20;

  cm = 0;
  em = 0;

  cc = 10;
  ce = 20;

  wp = 20;

  d[ 0 ] = "";
  d[ 1 ] = "";
  d[ 2 ] = "";
  d[ 3 ] = "";
  d[ 4 ] = "";
  d[ 5 ] = "";

  b[ 0 ] = "";
  b[ 1 ] = "";
  b[ 2 ] = "";
  b[ 3 ] = "";
  b[ 4 ] = "";
  b[ 5 ] = "";
  b[ 6 ] = "";
  b[ 7 ] = "";

  hp[ 0 ] = "";
  hp[ 1 ] = "";
  hp[ 2 ] = "";
  hp[ 3 ] = "";
  hp[ 4 ] = "";
  hp[ 5 ] = "";
  hp[ 6 ] = "";
  hp[ 7 ] = "";

  w[ 0 ] = "";
  w[ 1 ] = "";

  s[ 0 ] = "";
  s[ 1 ] = "";
  s[ 2 ] = "";
  s[ 3 ] = "";
  s[ 4 ] = "";
  s[ 5 ] = "";
  s[ 6 ] = "";
  s[ 7 ] = "";
  s[ 8 ] = "";
  s[ 9 ] = "";
  s[ 10 ] = "";
  s[ 11 ] = "";

  os = " ";
  n = " ";

  p = 0;

  ux = true;

  setBookLocation( "main.htm" );

  return true;
}

function openHelp( topic ) {
  var url = "help/";

  if( topic == "toc" ) {
    url += "toc.htm";
  }
  else if( topic == "javascript" ) {
    url += "js.htm";
  }
  else if( topic == "file" ) {
    url += "file.htm";
  }

  helpWindow = window.open( url, "StatsKeeperHelp", "height=450,width=300,resizable=yes,scrollbars=yes" );
  helpWindow.focus( );
}

function queryString( string ) {
 string = string.substring( 1 ).split( "&" );
 for( var i = 0; i < string.length; i++ ) {
  string[ i ] = string[ i ].split( "=" );
  this[ string[i][0] ] = unescape( string[ i ][ 1 ] );
 }
}

function threeFrames( ) {
  if( framesLayout != threeFrameLayout ) {
    framesLayout = threeFrameLayout;

    wrapper.document.open( );
    wrapper.document.write( '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">' );
    wrapper.document.write( '<html xmlns="http://www.w3.org/1999/xhtml" lang="en-UK" xml:lang="en-UK">' );
    wrapper.document.write( ' <head>' );
    wrapper.document.write( '  <title>StatsKeeper :: Project Aon</title>' );
    wrapper.document.write( ' </head>' );
    wrapper.document.write( ' <frameset rows="*,35%">' );
    wrapper.document.write( '  <frameset cols="150,*">' );
    wrapper.document.write( '   <frame name="controls" src="control1.htm" />' );
    wrapper.document.write( '   <frame name="main" src="main.htm" />' );
/*
 * The settings.htm would be a more natural choice here instead of file.htm.
 * This compromise is forced because IE (at least 6.0) cannot seem to reload
 * the file that called the function in the browser window. It is kludged
 * later in this function.
 */
    wrapper.document.write( '  </frameset>' );
    wrapper.document.write( '  <frame name="system" src="file.htm">' );
    wrapper.document.write( ' </frameset>' );
    wrapper.document.write( '</html>' );
    wrapper.document.close( );

/* The following kludge is a concession to IE (tested on 6.0). It can't seem
 * to handle setting the location of the book in this context. Evaluating it
 * in its own context makes this action possible.
 */
    setTimeout( "returnToBook( ); setSystemLocation( 'settings.htm' );", 1 );
    return true;
  }
  else {
    return false;
  }
}

function twoFrames( ) {
  if( framesLayout != twoFrameLayout ) {
    framesLayout = twoFrameLayout;

    wrapper.document.open( );
    wrapper.document.write( '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">' );
    wrapper.document.write( '<html xmlns="http://www.w3.org/1999/xhtml" lang="en-UK" xml:lang="en-UK">' );
    wrapper.document.write( ' <head>' );
    wrapper.document.write( '  <title>StatsKeeper :: Project Aon</title>' );
    wrapper.document.write( '  <meta content="text/html; charset=ISO-8859-1" http-equiv="Content-type" />' );
    wrapper.document.write( ' </head>' );
    wrapper.document.write( ' <frameset cols="150,*">' );
    wrapper.document.write( '  <frame name="controls" src="control0.htm" />' );
    wrapper.document.write( '  <frame name="main" src="main.htm" />' );
    wrapper.document.write( ' </frameset>' );
    wrapper.document.write( '</html>' );
    wrapper.document.close( );

/* The following kludge is a concession to IE (tested on 6.0). It can't seem
 * to handle setting the location of the book in this context. Evaluating it
 * in its own context makes this action possible.
 */
    setTimeout( "returnToBook( );", 1 );
    return true;
  }
  else {
    return false;
  }
}

readGameNames( );
