function htmlify( string ) {
  string = string.replace( /\r\n/g, "<br />" );
  string = string.replace( /\n/g, "<br />" );
  string = string.replace( /\r/g, "<br />" );
  string = string.replace( /\'/g, "&apos;" );

  return string;
}


function printableCharacter( ) {
  var weaponSkillWeapon = new Object( );
  weaponSkillWeapon[ 0 ] = "Daga";
  weaponSkillWeapon[ 1 ] = "Lanza";
  weaponSkillWeapon[ 2 ] = "Maza";
  weaponSkillWeapon[ 3 ] = "Espada Corta";
  weaponSkillWeapon[ 4 ] = "Martillo de Guerra";
  weaponSkillWeapon[ 5 ] = "Espada";
  weaponSkillWeapon[ 6 ] = "Hacha";
  weaponSkillWeapon[ 7 ] = "Estaca";
  weaponSkillWeapon[ 8 ] = "Espadn";

  var weaponMasteryWeapons = new Object( );
  weaponMasteryWeapons[ 0 ] = "Daga";
  weaponMasteryWeapons[ 1 ] = "Maza";
  weaponMasteryWeapons[ 2 ] = "Martillo de Guerra";
  weaponMasteryWeapons[ 3 ] = "Hacha";
  weaponMasteryWeapons[ 4 ] = "Estaca";
  weaponMasteryWeapons[ 5 ] = "Lanza";
  weaponMasteryWeapons[ 6 ] = "Espada Corta";
  weaponMasteryWeapons[ 7 ] = "Arco";
  weaponMasteryWeapons[ 8 ] = "Espada";
  weaponMasteryWeapons[ 9 ] = "Espadn";

  var isMagnakai = top.isMagnakai( );
  var isGrandmaster = top.isGrandmaster( );

  var pw = open( "", "printableCharacter", "scrollbars=yes,menubar=yes,toolbar=yes,width=600,height=450,resizable=yes" );
  if( !pw.opener ) pw.opener = window;
  pw.focus( );

  pw.document.open( );
  pw.document.write( '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n' );
  pw.document.write( '<html xmlns="http://www.w3.org/1999/xhtml" lang="en-UK" xml:lang="en-UK">\n' );

  pw.document.write( ' <head>\n' );
  pw.document.write( '  <title>StatsKeeper :: Project Aon</title>\n' );
  pw.document.write( '  <meta content="text/html; charset=ISO-8859-1" http-equiv="Content-type" />\n' );
  pw.document.write( ' </head>\n' );

  pw.document.write( ' <body text="black" bgcolor="white">\n' );

  pw.document.write( '  <h1>Hoja de Personaje de Lobo Solitario</h1>\n' );
  pw.document.write( '  <table border="0" width="100%">\n' );
  pw.document.write( '   <tr>\n' );
  pw.document.write( '    <td>&nbsp;</td>\n' );
  pw.document.write( '    <th>Innata</th>\n' );
  pw.document.write( '    <th>Modificadores</th>\n' );
  pw.document.write( '    <th>Actual</th>\n' );
  pw.document.write( '   </tr>\n' );
  pw.document.write( '   <tr>\n' );
  pw.document.write( '    <th>Destreza en Combate</th>\n' );
  pw.document.write( '    <td align="center">' + top.c + '</td>\n' );
  pw.document.write( '    <td align="center">' + top.cm + '</td>\n' );
  pw.document.write( '    <td align="center">' + top.cc + '</td>\n' );
  pw.document.write( '   </tr>\n' );
  pw.document.write( '   <tr>\n' );
  pw.document.write( '    <th>Resistencia</th>\n' );
  pw.document.write( '    <td align="center">' + top.e + '</td>\n' );
  pw.document.write( '    <td align="center">' + top.em + '</td>\n' );
  pw.document.write( '    <td align="center">' + top.ce + '</td>\n' );
  pw.document.write( '   </tr>\n' );
  pw.document.write( '  </table>\n' );

  pw.document.write( '  <br />\n' );

  pw.document.write( '  <table border="0" width="100%">\n' );
  pw.document.write( '   <tr><th colspan="2" align="left">Disciplinas Kai</th></tr>\n' );
  pw.document.write( '   <tr>\n' );
  pw.document.write( '    <td valign="top">\n' );
  for( var i = 0; i < 5; ++i ) {
    if( top.d[ i ] ) {
      pw.document.write( '     ' + top.d[ i ] + '<br />\n' );
    }
  }
  pw.document.write( '    </td>\n' );
  pw.document.write( '    <td valign="top">\n' );
  for( var i = 5; i < 10; ++i ) {
    if( top.d[ i ] ) {
      pw.document.write( '     ' + top.d[ i ] + '<br />\n' );
    }
  }
  pw.document.write( '    </td>\n' );
  pw.document.write( '   </tr>\n' );
  pw.document.write( '  </table>\n' );
  if( top.kw != -1 ) {
    pw.document.write( '  <p>Domino en el Manejo de: ' + weaponSkillWeapon[ top.kw ] + '</p>\n' );
  }
  else {
    pw.document.write( '  <br />\n' );
  }
  if( isMagnakai || isGrandmaster ) {
    pw.document.write( '  <table border="0" width="100%">\n' );
    pw.document.write( '   <tr><th colspan="2" align="left"> Disciplinas Magnakai</th></tr>\n' );
    pw.document.write( '   <tr>\n' );
    pw.document.write( '    <td valign="top">\n' );
    for( var i = 0; i < 5; ++i ) {
      if( top.md[ i ] ) {
        pw.document.write( '     ' + top.md[ i ] + '<br />\n' );
      }
    }
    pw.document.write( '    </td>\n' );
    pw.document.write( '    <td valign="top">\n' );
    for( var i = 5; i < 10; ++i ) {
      if( top.md[ i ] ) {
        pw.document.write( '     ' + top.md[ i ] + '<br />\n' );
      }
    }
    pw.document.write( '    </td>\n' );
    pw.document.write( '   </tr>\n' );
    pw.document.write( '  </table>\n' );
    if( top.mw[ 0 ] ||
        top.mw[ 1 ] ||
        top.mw[ 2 ] ||
        top.mw[ 3 ] ||
        top.mw[ 4 ] ||
        top.mw[ 5 ] ||
        top.mw[ 6 ] ||
        top.mw[ 7 ] ||
        top.mw[ 8 ] ||
        top.mw[ 9 ] ) {

      pw.document.write( '   <p>Maestra en el Dominio de:</p>\n' );
      pw.document.write( '   <ul>\n' );
      for( var i = 0; i < 10; ++i ) {
        if( top.mw[ i ] ) {
          pw.document.write( '    <li>' + weaponMasteryWeapons[ i ] + '</li>\n' );
        }
      }
      pw.document.write( '   </ul>\n' );
    }
    else {
      pw.document.write( '  <br />\n' );
    }
  }
  if( isGrandmaster ) {
    pw.document.write( '  <table border="0" width="100%">\n' );
    pw.document.write( '   <tr><th colspan="2" align="left">Disciplinas de Gran Maestro</th></tr>\n' );
    pw.document.write( '   <tr>\n' );
    pw.document.write( '    <td valign="top">\n' );
    for( var i = 0; i < 6; ++i ) {
      if( top.gd[ i ] ) {
        pw.document.write( '     ' + top.gd[ i ] + '<br />\n' );
      }
    }
    pw.document.write( '    </td>\n' );
    pw.document.write( '    <td valign="top">\n' );
    for( var i = 6; i < 12; ++i ) {
      if( top.gd[ i ] ) {
        pw.document.write( '     ' + top.gd[ i ] + '<br />\n' );
      }
    }
    pw.document.write( '    </td>\n' );
    pw.document.write( '   </tr>\n' );
    pw.document.write( '  </table>\n' );
    if( top.gw[ 0 ] ||
        top.gw[ 1 ] ||
        top.gw[ 2 ] ||
        top.gw[ 3 ] ||
        top.gw[ 4 ] ||
        top.gw[ 5 ] ||
        top.gw[ 6 ] ||
        top.gw[ 7 ] ||
        top.gw[ 8 ] ||
        top.gw[ 9 ] ) {

      pw.document.write( '   <p>Gran Maestra en el Domino de:</p>\n' );
      pw.document.write( '   <ul>\n' );
      for( var i = 0; i < 10; ++i ) {
        if( top.gw[ i ] ) {
          // The weapons available didn't change between the Magnakai and Grandmaster series
          pw.document.write( '    <li>' + weaponMasteryWeapons[ i ] + '</li>\n' );
        }
      }
      pw.document.write( '   </ul>\n' );
    }
    else {
      pw.document.write( '  <br />\n' );
    }
  }
  pw.document.write( '  <table border="0" width="100%">\n' );
  pw.document.write( '   <tr><th colspan="2" align="left">Mochila</th></tr>\n' );
  pw.document.write( '   <tr>\n' );
  pw.document.write( '    <td valign="top">\n' );
  if( isGrandmaster ) {
    for( var i = 0; i < 5; ++i ) {
      if( top.b[ i ] ) {
        pw.document.write( '     ' + top.b[ i ] + '<br />\n' );
      }
    }
    pw.document.write( '    </td>\n' );
    pw.document.write( '    <td valign="top">\n' );
    for( var i = 5; i < 10; ++i ) {
      if( top.b[ i ] ) {
        pw.document.write( '     ' + top.b[ i ] + '<br />\n' );
      }
    }
  }
  else {
    for( var i = 0; i < 4; ++i ) {
      if( top.b[ i ] ) {
        pw.document.write( '     ' + top.b[ i ] + '<br />\n' );
      }
    }
    pw.document.write( '    </td>\n' );
    pw.document.write( '    <td valign="top">\n' );
    for( var i = 4; i < 8; ++i ) {
      if( top.b[ i ] ) {
        pw.document.write( '     ' + top.b[ i ] + '<br />\n' );
      }
    }
  }
  pw.document.write( '    </td>\n' );
  pw.document.write( '   </tr>\n' );
  pw.document.write( '  </table>\n' );
  pw.document.write( '  <br />\n' );

  pw.document.write( '  <table border="0">\n' );
  pw.document.write( '   <tr><th align="left">Armas</th></tr>\n' );
  pw.document.write( '   <tr>\n' );
  pw.document.write( '    <td valign="top">\n' );
  for( var i = 0; i < 2; ++i ) {
    if( top.w[ i ] ) {
      pw.document.write( '     ' + top.w[ i ] + '<br />\n' );
    }
  }
  pw.document.write( '    </td>\n' );
  pw.document.write( '   </tr>\n' );
  pw.document.write( '  </table>\n' );
  pw.document.write( '  <br />\n' );

  pw.document.write( '  <table border="0">\n' );
  pw.document.write( '   <tr><th align="left">Bolsa</th></tr>\n' );
  pw.document.write( '   <tr><td align="right">Coronas de Oro: </td><td>' + top.p + '</td></tr>\n' );
  if( isMagnakai || isGrandmaster ) {
    pw.document.write( '   <tr><td align="right">Lunas: </td><td>' + top.l + '</td></tr>\n' );
    pw.document.write( '   <tr><td align="right">Kika: </td><td>' + top.k + '</td></tr>\n' );
  }
  pw.document.write( '  </table>\n' );
  pw.document.write( '  <br />\n' );

  if( isMagnakai || isGrandmaster ) {
    pw.document.write( '  <table border="0">\n' );
    pw.document.write( '   <tr><th align="left">Carcaj: </th><td>' + top.q + '</tr>\n' );
    pw.document.write( '  </table>\n' );
  }

  pw.document.write( '  <table border="0" width="100%">\n' );
  pw.document.write( '   <tr><th colspan="2" align="left">Objetos Especiales</th></tr>\n' );
  pw.document.write( '   <tr>\n' );
  pw.document.write( '    <td valign="top">\n' );
  for( var i = 0; i < 6; ++i ) {
    if( top.s[ i ] ) {
      pw.document.write( '     ' + top.s[ i ] + '<br />\n' );
    }
  }
  pw.document.write( '    </td>\n' );
  pw.document.write( '    <td valign="top">\n' );
  for( var i = 6; i < 12; ++i ) {
    if( top.s[ i ] ) {
      pw.document.write( '     ' + top.s[ i ] + '<br />\n' );
    }
  }
  pw.document.write( '    </td>\n' );
  pw.document.write( '   </tr>\n' );
  pw.document.write( '  </table>\n' );
  pw.document.write( '  <br />\n' );

  pw.document.write( '  <table border="0" width="100%">\n' );
  pw.document.write( '   <tr><th align="left">Otros Objetos Especiales</th></tr>\n' );
  pw.document.write( '   <tr><td>' + htmlify( top.os ) + '</td></tr>\n' );
  pw.document.write( '  </table>\n' );
  pw.document.write( '  <br />\n' );

  pw.document.write( '  <table border="0" width="100%">\n' );
  pw.document.write( '   <tr><th align="left">Notas</th></tr>\n' );
  pw.document.write( '   <tr><td>' + htmlify( top.n ) + '</td></tr>\n' );
  pw.document.write( '  </table>\n' );

  var bookSection = top.getBookLocation( );
  pw.document.write( '  <table border="0">\n' );
  pw.document.write( '   <tr><th colspan="2" align="left">Marcador de Pgina</th></tr>\n' );
  pw.document.write( '   <tr><td>' );
  if( bookSection.indexOf( "01fftd" ) != -1 ) pw.document.write( 'Flight from the Dark' );
  if( bookSection.indexOf( "02fotw" ) != -1 ) pw.document.write( 'Fire on the Water' );
  if( bookSection.indexOf( "03tcok" ) != -1 ) pw.document.write( 'The Caverns of Kalte' );
  if( bookSection.indexOf( "04tcod" ) != -1 ) pw.document.write( 'The Chasm of Doom' );
  if( bookSection.indexOf( "05sots" ) != -1 ) pw.document.write( 'Shadow on the Sand' );
  if( bookSection.indexOf( "06tkot" ) != -1 ) pw.document.write( 'The Kingdoms of Terror' );
  if( bookSection.indexOf( "07cd" ) != -1 ) pw.document.write( 'Castle Death' );
  if( bookSection.indexOf( "08tjoh" ) != -1 ) pw.document.write( 'The Jungles of Horror' );
  if( bookSection.indexOf( "09tcof" ) != -1 ) pw.document.write( 'The Cauldron of Fear' );
  if( bookSection.indexOf( "10tdot" ) != -1 ) pw.document.write( 'The Dungeons of Torgar' );
  if( bookSection.indexOf( "11tpot" ) != -1 ) pw.document.write( 'The Prisoners of Time' );
  if( bookSection.indexOf( "12tmod" ) != -1 ) pw.document.write( 'The Masters of Darkness' );
  if( bookSection.indexOf( "13tplor" ) != -1 ) pw.document.write( 'The Plague Lords of Ruel' );
  if( bookSection.indexOf( "14tcok" ) != -1 ) pw.document.write( 'The Captives of Kaag' );
  if( bookSection.indexOf( "15tdc" ) != -1 ) pw.document.write( 'The Darke Crusade' );
  if( bookSection.indexOf( "16tlov" ) != -1 ) pw.document.write( 'The Legacy of Vashna' );
  if( bookSection.indexOf( "17tdoi" ) != -1 ) pw.document.write( 'The Deathlord of Ixia' );
  if( bookSection.indexOf( "18dotd" ) != -1 ) pw.document.write( 'Dawn of the Dragons' );
  if( bookSection.indexOf( "19wb" ) != -1 ) pw.document.write( 'Wolf\'s Bane' );
  if( bookSection.indexOf( "20tcon" ) != -1 ) pw.document.write( 'The Curse of Naar' );
  pw.document.write( ': </td><td>' );
  if( bookSection.indexOf( "/sect" ) != -1 ) {
    bookSection = bookSection.slice( bookSection.lastIndexOf( "/sect" ) + 5, bookSection.length - 4 );
    pw.document.write( "Section " + bookSection + '</td></tr>\n' );
  }
  else {
    bookSection = bookSection.slice( bookSection.lastIndexOf( "/" ) + 1, bookSection.length - 4 );
    if( bookSection == "title" ) {
      bookSection = "Title Page";
    }
    else if( bookSection == "dedicate" ) {
      bookSection = "Dedication";
    }
    else if( bookSection == "acknwldg" ) {
      bookSection = "Acknowledgements";
    }
    else if( bookSection == "tssf" ) {
      bookSection = "The Story So Far. . .";
    }
    else if( bookSection == "gamerulz" ) {
      bookSection = "The Game Rules";
    }
    else if( bookSection == "discplnz" ) {
      if( isMagnakai ) bookSection = "Magnakai Disciplines";
      else if( isGrandmaster ) bookSection = "Grandmaster Disciplines";
      else bookSection = "Kai Disciplines";
    }
     else if( bookSection == "equipmnt" ) {
       bookSection = "Equipment";
     }
     else if( bookSection == "cmbtrulz" ) {
       bookSection = "Rules for Combat";
     }
     else if( bookSection == "levels" ) {
        if( isMagnakai ) bookSection = "Levels of Magnakai Training";
        else if( isGrandmaster ) bookSection = "Levels of Kai Grand Mastership";
        else bookSection = "Levels of Kai Training";
     }
     else if( bookSection == "lorecrcl" ) {
       bookSection = "Lore-circles of the Magnakai";
     }
     else if( bookSection == "imprvdsc" ) {
       if( isGrandmaster ) bookSection = "Improved Grand MasterDisciplines";
       else bookSection = "Improved Disciplines";
     }
     else if( bookSection == "kaiwisdm" ) {
       if( isMagnakai ) bookSection = "Magnakai Wisdom";
       else if( isGrandmaster ) bookSection = "Grand Master's Wisdom";
       else bookSection = "Kai Wisdom";
     }
     else if( bookSection == "map" ) {
       bookSection = "Map";
     }
     else if( bookSection == "action" ) {
       bookSection = "Action Chart";
     }
     else if( bookSection == "crsumary" ) {
       bookSection = "Combat Rules Summary";
     }
     else if( bookSection == "crtable" ) {
       bookSection = "Combat Results Table";
     }
     else if( bookSection == "random" ) {
       bookSection = "Random Number Table";
     }
     else if( bookSection == "errata" ) {
       bookSection = "Errata";
     }
     else if( bookSection == "footnotz" ) {
       bookSection = "Footnotes";
     }
     else if( bookSection == "illstrat" ) {
       bookSection = "Table of Illustrations";
     }
     else if( bookSection == "license" ) {
       bookSection = "Project Aon License";
     }
    pw.document.write( bookSection + '</td></tr>\n' );
  }
  pw.document.write( '  </table>\n' );


  var date = new Date( );
  pw.document.write( '  <p>Imprimido: ' + date.toLocaleString( ) + '</p>\n' );

  pw.document.write( ' </body>' );
  pw.document.write( '</html>' );
  pw.document.close( );

  return true;
}
