var slotName = new Object( );
slotName[ 0 ] = "";
slotName[ 1 ] = "";
slotName[ 2 ] = "";

var twoFrameLayout = 0;
var threeFrameLayout = 1;
var framesLayout = threeFrameLayout;

var currentSaveSlot = 0;
var helpWindow;

/* The following variables are obfuscatingly short in order to decrease the 
 * size of the cookies that store the saved games. Here is an explanation of
 * each variable name:
 *
 *  g: game label (the name of the game) dummy variable
 * bl: book location
 *  c: base combat skill
 *  e: base endurance
 * cm: combat skill modifier
 * em: endurance modifier
 * cc: current combat skill
 * ce: current endurance
 *  d: kai disciplines
 * kw: kai weaponmastery weapon
 * md: magnakai disciplines
 * mw: magnakai weaponmastery checklist
 * gd: grandmaster disciplines
 * gw: grandmaster weaponmastery checklist
 *  b: backpack
 *  w: weapons
 *  s: special items (that take up space)
 * os: other special items (that don't take up space)
 *  n: notes
 *  p: pouch (gold crowns)
 *  l: pouch (lunes)
 *  k: pouch (kika)
 * hq: has quiver
 *  q: quiver
 * ux: use extended combat results table
 *
 */

var g = "";

var bl = "";

var c = 10;
var e = 20;

var cm = 0;
var em = 0;

var cc = 10;
var ce = 20;

var d = new Object( );
d[ 0 ] = "";
d[ 1 ] = "";
d[ 2 ] = "";
d[ 3 ] = "";
d[ 4 ] = "";
d[ 5 ] = "";
d[ 6 ] = "";
d[ 7 ] = "";
d[ 8 ] = "";
d[ 9 ] = "";

var kw = -1;

var md = new Object( );
md[ 0 ] = "";
md[ 1 ] = "";
md[ 2 ] = "";
md[ 3 ] = "";
md[ 4 ] = "";
md[ 5 ] = "";
md[ 6 ] = "";
md[ 7 ] = "";
md[ 8 ] = "";
md[ 9 ] = "";

var mw = new Object( );
mw[ 0 ] = false;
mw[ 1 ] = false;
mw[ 2 ] = false;
mw[ 3 ] = false;
mw[ 4 ] = false;
mw[ 5 ] = false;
mw[ 6 ] = false;
mw[ 7 ] = false;
mw[ 8 ] = false;
mw[ 9 ] = false;

var gd = new Object( );
gd[ 0 ] = "";
gd[ 1 ] = "";
gd[ 2 ] = "";
gd[ 3 ] = "";
gd[ 4 ] = "";
gd[ 5 ] = "";
gd[ 6 ] = "";
gd[ 7 ] = "";
gd[ 8 ] = "";
gd[ 9 ] = "";
gd[ 10 ] = "";
gd[ 11 ] = "";

var gw = new Object( );
gw[ 0 ] = false;
gw[ 1 ] = false;
gw[ 2 ] = false;
gw[ 3 ] = false;
gw[ 4 ] = false;
gw[ 5 ] = false;
gw[ 6 ] = false;
gw[ 7 ] = false;
gw[ 8 ] = false;
gw[ 9 ] = false;

var b = new Object( );
b[ 0 ] = "";
b[ 1 ] = "";
b[ 2 ] = "";
b[ 3 ] = "";
b[ 4 ] = "";
b[ 5 ] = "";
b[ 6 ] = "";
b[ 7 ] = "";
b[ 8 ] = "";
b[ 9 ] = "";

var w = new Object( );
w[ 0 ] = "";
w[ 1 ] = "";

var s = new Object( );
s[ 0 ] = "";
s[ 1 ] = "";
s[ 2 ] = "";
s[ 3 ] = "";
s[ 4 ] = "";
s[ 5 ] = "";
s[ 6 ] = "";
s[ 7 ] = "";
s[ 8 ] = "";
s[ 9 ] = "";
s[ 10 ] = "";
s[ 11 ] = "";

var os = " ";
var n = " ";

var p = 0;
var l = 0;
var k = 0;

var hq = false;
var q = 0;

var ux = true;

function storeBookLocation( ) {
  if( isBook( ) ) {
    bl = new String( "" + wrapper.main.location );
  }
}

function returnToBook( ) {
  if( bl ) {
    setBookLocation( bl );
  }
  else {
    setBookLocation( "main.htm" );
  }
  return true;
}

function setBookLocation( url ) {
  wrapper.main.location = new String( "" + url );
  bl = url;
}

function getBookLocation( ) {
  if( isBook( ) ) {
    bl = new String( "" + wrapper.main.location );
  }
  return bl;
}

function setSystemLocation( url ) {
  storeBookLocation( );
  if( framesLayout == twoFrameLayout ) {
    wrapper.main.location = url;
  }
  else if( framesLayout == threeFrameLayout ) {
    wrapper.system.location = url;
  }
}

function random( ) {
  var returnValue = Math.floor( 10 * Math.random( ) );
  if( returnValue >= 10 ) returnValue = 9;

  alert( "Nmero aleatorio: " + returnValue );
}

function codify( string ) {
  string = new String( "" + string );
  string = string.replace( /\n/g, "\\n" );
  string = string.replace( /\r/g, "\\r" );
  string = string.replace( /\'/g, "\\\'" );
  string = string.replace( /=/g, "\\=" );

  return string;
}

function writeGame( slot, name ) {
  var cookieValue = new String( "" );

  slotName[ slot ] = name;

  cookieValue += "g='" + codify( name ) + "';";
  cookieValue += "c='" + parseInt( c ) + "';";
  cookieValue += "cm='" + parseInt( cm ) + "';";
  cookieValue += "cc='" + parseInt( cc ) + "';";
  cookieValue += "e='" + parseInt( e ) + "';";
  cookieValue += "em='" + parseInt( em ) + "';";
  cookieValue += "ce='" + parseInt( ce ) + "';";
  cookieValue += "d[0]='" + codify( d[ 0 ] ) + "';";
  cookieValue += "d[1]='" + codify( d[ 1 ] ) + "';";
  cookieValue += "d[2]='" + codify( d[ 2 ] ) + "';";
  cookieValue += "d[3]='" + codify( d[ 3 ] ) + "';";
  cookieValue += "d[4]='" + codify( d[ 4 ] ) + "';";
  cookieValue += "d[5]='" + codify( d[ 5 ] ) + "';";
  cookieValue += "d[6]='" + codify( d[ 6 ] ) + "';";
  cookieValue += "d[7]='" + codify( d[ 7 ] ) + "';";
  cookieValue += "d[8]='" + codify( d[ 8 ] ) + "';";
  cookieValue += "d[9]='" + codify( d[ 9 ] ) + "';";
  cookieValue += "kw='" + parseInt( kw ) + "';";
  cookieValue += "md[0]='" + codify( md[ 0 ] ) + "';";
  cookieValue += "md[1]='" + codify( md[ 1 ] ) + "';";
  cookieValue += "md[2]='" + codify( md[ 2 ] ) + "';";
  cookieValue += "md[3]='" + codify( md[ 3 ] ) + "';";
  cookieValue += "md[4]='" + codify( md[ 4 ] ) + "';";
  cookieValue += "md[5]='" + codify( md[ 5 ] ) + "';";
  cookieValue += "md[6]='" + codify( md[ 6 ] ) + "';";
  cookieValue += "md[7]='" + codify( md[ 7 ] ) + "';";
  cookieValue += "md[8]='" + codify( md[ 8 ] ) + "';";
  cookieValue += "md[9]='" + codify( md[ 9 ] ) + "';";
  if( top.mw[ 0 ] ) cookieValue += "top.mw[0]=true;";
  if( top.mw[ 1 ] ) cookieValue += "top.mw[1]=true;";
  if( top.mw[ 2 ] ) cookieValue += "top.mw[2]=true;";
  if( top.mw[ 3 ] ) cookieValue += "top.mw[3]=true;";
  if( top.mw[ 4 ] ) cookieValue += "top.mw[4]=true;";
  if( top.mw[ 5 ] ) cookieValue += "top.mw[5]=true;";
  if( top.mw[ 6 ] ) cookieValue += "top.mw[6]=true;";
  if( top.mw[ 7 ] ) cookieValue += "top.mw[7]=true;";
  if( top.mw[ 8 ] ) cookieValue += "top.mw[8]=true;";
  if( top.mw[ 9 ] ) cookieValue += "top.mw[9]=true;";
  cookieValue += "gd[0]='" + codify( gd[ 0 ] ) + "';";
  cookieValue += "gd[1]='" + codify( gd[ 1 ] ) + "';";
  cookieValue += "gd[2]='" + codify( gd[ 2 ] ) + "';";
  cookieValue += "gd[3]='" + codify( gd[ 3 ] ) + "';";
  cookieValue += "gd[4]='" + codify( gd[ 4 ] ) + "';";
  cookieValue += "gd[5]='" + codify( gd[ 5 ] ) + "';";
  cookieValue += "gd[6]='" + codify( gd[ 6 ] ) + "';";
  cookieValue += "gd[7]='" + codify( gd[ 7 ] ) + "';";
  cookieValue += "gd[8]='" + codify( gd[ 8 ] ) + "';";
  cookieValue += "gd[9]='" + codify( gd[ 9 ] ) + "';";
  cookieValue += "gd[10]='" + codify( gd[ 10 ] ) + "';";
  cookieValue += "gd[11]='" + codify( gd[ 11 ] ) + "';";
  if( top.gw[ 0 ] ) cookieValue += "top.gw[0]=true;";
  if( top.gw[ 1 ] ) cookieValue += "top.gw[1]=true;";
  if( top.gw[ 2 ] ) cookieValue += "top.gw[2]=true;";
  if( top.gw[ 3 ] ) cookieValue += "top.gw[3]=true;";
  if( top.gw[ 4 ] ) cookieValue += "top.gw[4]=true;";
  if( top.gw[ 5 ] ) cookieValue += "top.gw[5]=true;";
  if( top.gw[ 6 ] ) cookieValue += "top.gw[6]=true;";
  if( top.gw[ 7 ] ) cookieValue += "top.gw[7]=true;";
  if( top.gw[ 8 ] ) cookieValue += "top.gw[8]=true;";
  if( top.gw[ 9 ] ) cookieValue += "top.gw[9]=true;";
  cookieValue += "b[0]='" + codify( b[ 0 ] ) + "';";
  cookieValue += "b[1]='" + codify( b[ 1 ] ) + "';";
  cookieValue += "b[2]='" + codify( b[ 2 ] ) + "';";
  cookieValue += "b[3]='" + codify( b[ 3 ] ) + "';";
  cookieValue += "b[4]='" + codify( b[ 4 ] ) + "';";
  cookieValue += "b[5]='" + codify( b[ 5 ] ) + "';";
  cookieValue += "b[6]='" + codify( b[ 6 ] ) + "';";
  cookieValue += "b[7]='" + codify( b[ 7 ] ) + "';";
  cookieValue += "b[8]='" + codify( b[ 8 ] ) + "';";
  cookieValue += "b[9]='" + codify( b[ 9 ] ) + "';";
  cookieValue += "w[0]='" + codify( w[ 0 ] ) + "';";
  cookieValue += "w[1]='" + codify( w[ 1 ] ) + "';";
  cookieValue += "s[0]='" + codify( s[ 0 ] ) + "';";
  cookieValue += "s[1]='" + codify( s[ 1 ] ) + "';";
  cookieValue += "s[2]='" + codify( s[ 2 ] ) + "';";
  cookieValue += "s[3]='" + codify( s[ 3 ] ) + "';";
  cookieValue += "s[4]='" + codify( s[ 4 ] ) + "';";
  cookieValue += "s[5]='" + codify( s[ 5 ] ) + "';";
  cookieValue += "s[6]='" + codify( s[ 6 ] ) + "';";
  cookieValue += "s[7]='" + codify( s[ 7 ] ) + "';";
  cookieValue += "s[8]='" + codify( s[ 8 ] ) + "';";
  cookieValue += "s[9]='" + codify( s[ 9 ] ) + "';";
  cookieValue += "s[10]='" + codify( s[ 10 ] ) + "';";
  cookieValue += "s[11]='" + codify( s[ 11 ] ) + "';";
  cookieValue += "os='" + codify( os ) + "';";
  cookieValue += "n='" + codify( n ) + "';";
  cookieValue += "p='" + parseInt( p ) + "';";
  cookieValue += "l='" + parseInt( l ) + "';";
  cookieValue += "k='" + parseInt( k ) + "';";
  if( top.hq ) cookieValue += "hq=true;";
  cookieValue += "q='" + parseInt( q ) + "';";
  if( !ux ) cookieValue += "ux=false;";

  cookieValue += "bl='" + getBookLocation( ) + "';";

  cookieValue = escape( cookieValue );
  if( cookieValue.length > 4093 ) { // cookie + name must be less than 4 KB
    alert( "No hay suficiente espacio disponible para guardar el juego. Por favor, intente eliminar informacin que no le interese." );
    return false;
  }

  var date = new Date();
  date.setTime( date.getTime() + 1000*60*60*24*365*2 ); // 2 years hence

  if( slot == 0 ) {
    document.cookie = "SK0=" + cookieValue + "; expires=" + date.toGMTString();
  }
  else if( slot == 1 ) {
    document.cookie = "SK1=" + cookieValue + "; expires=" + date.toGMTString();
  }
  else if( slot == 2 ) {
    document.cookie = "SK2=" + cookieValue + "; expires=" + date.toGMTString();
  }
  else {
    return false;
  }

  return true;
}

function readGame( slot ) {
  var cookies = document.cookie;
  var position;

  if( slot == 0 ) {
    position = cookies.indexOf( "SK0=" );
  }
  else if( slot == 1 ) {
    position = cookies.indexOf( "SK1=" );
  }
  else if( slot == 2 ) {
    position = cookies.indexOf( "SK2=" );
  }
  else {
    return false;
  }

  if( position != -1 ) {
    position += 4;
    var end = cookies.indexOf( ";", position );
    if( end == -1 ) end = cookies.length;

    var cookie = cookies.substring( position, end );
    if( cookie != "" ) {
      cookie = unescape( cookie );
      eval( cookie );
      setBookLocation( bl );
      return true;
    }
    else {
      return false;
    }
  }
  else {
    return false;
  }
}

function readGameNames( ) {
  var cookies = new String( document.cookie );
  var searchRegExp = /[=;]g='[^']*'/;
  var replaceRegExp = /^.*[=;]g='([^']*)'.*$/;

  cookies = cookies.split( ";" );
  for(var i = 0; i < cookies.length; ++i) {
    if( cookies[ i ].indexOf( "SK0=" ) != -1 ) {
      cookies[ i ] = unescape( cookies[ i ] );
      if( searchRegExp.test( cookies[ i ] ) ) {
        slotName[ 0 ] = cookies[ i ].replace( replaceRegExp, "$1" );
      }
      else {
        slotName[ 0 ] = "";
      }
    }
    else if( cookies[ i ].indexOf( "SK1=" ) != -1 ) {
      cookies[ i ] = unescape( cookies[ i ] );
      if( searchRegExp.test( cookies[ i ] ) ) {
        slotName[ 1 ] = cookies[ i ].replace( replaceRegExp, "$1" );
      }
      else {
        slotName[ 1 ] = "";
      }
    }
    else if( cookies[ i ].indexOf( "SK2=" ) != -1 ) {
      cookies[ i ] = unescape( cookies[ i ] );
      if( searchRegExp.test( cookies[ i ] ) ) {
        slotName[ 2 ] = cookies[ i ].replace( replaceRegExp, "$1" );
      }
      else {
        slotName[ 2 ] = "";
      }
    }
  }

  return true;  
}

function deleteGame( slot ) {
  var date = new Date( 0 );
  if( slot == 0 ) {
    document.cookie = "SK0=; expires=" + date.toGMTString();
    slotName[ 0 ] = "";
  }
  else if( slot == 1 ) {
    document.cookie = "SK1=; expires=" + date.toGMTString();
    slotName[ 1 ] = "";
  }
  else if( slot == 2 ) {
    document.cookie = "SK2=; expires=" + date.toGMTString();
    slotName[ 2 ] = "";
  }
  else {
    return false;
  }

  return true;
}

function isBook( ) {
/* This function is used differently than isMagnakai( ) or isGrandmaster( ).
 * This is used to test the location of what's currently in the window. 
 * isMagnakai( ) and isGrandmaster( )test the value that's stored in the
 * "bl" variable. This function is used to determine whether or not to set
 * "bl" to the current value, therefore it cannot use the getBookLocation( )
 * function.
 */
  url = new String( "" + wrapper.main.location );
  if( url.indexOf( "01fftd" ) != -1 ) return true;
  if( url.indexOf( "02fotw" ) != -1 ) return true;
  if( url.indexOf( "03tcok" ) != -1 ) return true;
  if( url.indexOf( "04tcod" ) != -1 ) return true;
  if( url.indexOf( "05sots" ) != -1 ) return true;
  if( url.indexOf( "06tkot" ) != -1 ) return true;
  if( url.indexOf( "07cd" ) != -1 ) return true;
  if( url.indexOf( "08tjoh" ) != -1 ) return true;
  if( url.indexOf( "09tcof" ) != -1 ) return true;
  if( url.indexOf( "10tdot" ) != -1 ) return true;
  if( url.indexOf( "11tpot" ) != -1 ) return true;
  if( url.indexOf( "12tmod" ) != -1 ) return true;
  if( url.indexOf( "13tplor" ) != -1 ) return true;
  if( url.indexOf( "14tcok" ) != -1 ) return true;
  if( url.indexOf( "15tdc" ) != -1 ) return true;
  if( url.indexOf( "16tlov" ) != -1 ) return true;
  if( url.indexOf( "17tdoi" ) != -1 ) return true;
  if( url.indexOf( "18dotd" ) != -1 ) return true;
  if( url.indexOf( "19wb" ) != -1 ) return true;
  if( url.indexOf( "20tcon" ) != -1 ) return true;
  return false;
}

function isMagnakai( ) {
/* See isBook( ) for notes */
  url = getBookLocation( );
  if( url.indexOf( "06tkot" ) != -1 ) return true;
  if( url.indexOf( "07cd" ) != -1 ) return true;
  if( url.indexOf( "08tjoh" ) != -1 ) return true;
  if( url.indexOf( "09tcof" ) != -1 ) return true;
  if( url.indexOf( "10tdot" ) != -1 ) return true;
  if( url.indexOf( "11tpot" ) != -1 ) return true;
  if( url.indexOf( "12tmod" ) != -1 ) return true;
  return false;
}

function isGrandmaster( ) {
/* See isBook( ) for notes */
  url = getBookLocation( );
  if( url.indexOf( "13tplor" ) != -1 ) return true;
  if( url.indexOf( "14tcok" ) != -1 ) return true;
  if( url.indexOf( "15tdc" ) != -1 ) return true;
  if( url.indexOf( "16tlov" ) != -1 ) return true;
  if( url.indexOf( "17tdoi" ) != -1 ) return true;
  if( url.indexOf( "18dotd" ) != -1 ) return true;
  if( url.indexOf( "19wb" ) != -1 ) return true;
  if( url.indexOf( "20tcon" ) != -1 ) return true;
  return false;
}

function newCharacter( ) {
  g = "";
  bl = "";

  c = 10;
  e = 20;

  cm = 0;
  em = 0;

  cc = 10;
  ce = 20;

  d[ 0 ] = "";
  d[ 1 ] = "";
  d[ 2 ] = "";
  d[ 3 ] = "";
  d[ 4 ] = "";
  d[ 5 ] = "";
  d[ 6 ] = "";
  d[ 7 ] = "";
  d[ 8 ] = "";
  d[ 9 ] = "";

  kw = -1;

  md[ 0 ] = "";
  md[ 1 ] = "";
  md[ 2 ] = "";
  md[ 3 ] = "";
  md[ 4 ] = "";
  md[ 5 ] = "";
  md[ 6 ] = "";
  md[ 7 ] = "";
  md[ 8 ] = "";
  md[ 9 ] = "";

  mw[ 0 ] = false;
  mw[ 1 ] = false;
  mw[ 2 ] = false;
  mw[ 3 ] = false;
  mw[ 4 ] = false;
  mw[ 5 ] = false;
  mw[ 6 ] = false;
  mw[ 7 ] = false;
  mw[ 8 ] = false;
  mw[ 9 ] = false;

  gd[ 0 ] = "";
  gd[ 1 ] = "";
  gd[ 2 ] = "";
  gd[ 3 ] = "";
  gd[ 4 ] = "";
  gd[ 5 ] = "";
  gd[ 6 ] = "";
  gd[ 7 ] = "";
  gd[ 8 ] = "";
  gd[ 9 ] = "";
  gd[ 10 ] = "";
  gd[ 11 ] = "";

  gw[ 0 ] = false;
  gw[ 1 ] = false;
  gw[ 2 ] = false;
  gw[ 3 ] = false;
  gw[ 4 ] = false;
  gw[ 5 ] = false;
  gw[ 6 ] = false;
  gw[ 7 ] = false;
  gw[ 8 ] = false;
  gw[ 9 ] = false;

  b[ 0 ] = "";
  b[ 1 ] = "";
  b[ 2 ] = "";
  b[ 3 ] = "";
  b[ 4 ] = "";
  b[ 5 ] = "";
  b[ 6 ] = "";
  b[ 7 ] = "";
  b[ 8 ] = "";
  b[ 9 ] = "";

  w[ 0 ] = "";
  w[ 1 ] = "";

  s[ 0 ] = "";
  s[ 1 ] = "";
  s[ 2 ] = "";
  s[ 3 ] = "";
  s[ 4 ] = "";
  s[ 5 ] = "";
  s[ 6 ] = "";
  s[ 7 ] = "";
  s[ 8 ] = "";
  s[ 9 ] = "";
  s[ 10 ] = "";
  s[ 11 ] = "";

  os = " ";
  n = " ";

  p = 0;
  l = 0;
  k = 0;

  hq = false;
  q = 0;

  ux = true;

  setBookLocation( "main.htm" );

  return true;
}

function openHelp( topic ) {
  var url = "help/";

  if( topic == "toc" ) {
    url += "toc.htm";
  }
  else if( topic == "javascript" ) {
    url += "js.htm";
  }
  else if( topic == "file" ) {
    url += "file.htm";
  }

  helpWindow = window.open( url, "StatsKeeperHelp", "height=450,width=300,resizable=yes,scrollbars=yes" );
  helpWindow.focus( );
}

function queryString( string ) {
 string = string.substring( 1 ).split( "&" );
 for( var i = 0; i < string.length; i++ ) {
  string[ i ] = string[ i ].split( "=" );
  this[ string[i][0] ] = unescape( string[ i ][ 1 ] );
 }
}

function threeFrames( ) {
  if( framesLayout != threeFrameLayout ) {
    framesLayout = threeFrameLayout;

    wrapper.document.open( );
    wrapper.document.write( '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">' );
    wrapper.document.write( '<html xmlns="http://www.w3.org/1999/xhtml" lang="en-UK" xml:lang="en-UK">' );
    wrapper.document.write( ' <head>' );
    wrapper.document.write( '  <title>StatsKeeper :: Project Aon</title>' );
    wrapper.document.write( ' </head>' );
    wrapper.document.write( ' <frameset rows="*,35%">' );
    wrapper.document.write( '  <frameset cols="150,*">' );
    wrapper.document.write( '   <frame name="controls" src="control1.htm" />' );
    wrapper.document.write( '   <frame name="main" src="main.htm" />' );
/*
 * The settings.htm would be a more natural choice here instead of file.htm.
 * This compromise is forced because IE (at least 6.0) cannot seem to reload
 * the file that called the function in the browser window. It is kludged
 * later in this function.
 */
    wrapper.document.write( '  </frameset>' );
    wrapper.document.write( '  <frame name="system" src="file.htm">' );
    wrapper.document.write( ' </frameset>' );
    wrapper.document.write( '</html>' );
    wrapper.document.close( );

/* The following kludge is a concession to IE (tested on 6.0). It can't seem
 * to handle setting the location of the book in this context. Evaluating it
 * in its own context makes this action possible.
 */
    setTimeout( "returnToBook( ); setSystemLocation( 'settings.htm' );", 1 );
    return true;
  }
  else {
    return false;
  }
}

function twoFrames( ) {
  if( framesLayout != twoFrameLayout ) {
    framesLayout = twoFrameLayout;

    wrapper.document.open( );
    wrapper.document.write( '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">' );
    wrapper.document.write( '<html xmlns="http://www.w3.org/1999/xhtml" lang="en-UK" xml:lang="en-UK">' );
    wrapper.document.write( ' <head>' );
    wrapper.document.write( '  <title>StatsKeeper :: Project Aon</title>' );
    wrapper.document.write( '  <meta content="text/html; charset=ISO-8859-1" http-equiv="Content-type" />' );
    wrapper.document.write( ' </head>' );
    wrapper.document.write( ' <frameset cols="150,*">' );
    wrapper.document.write( '  <frame name="controls" src="control0.htm" />' );
    wrapper.document.write( '  <frame name="main" src="main.htm" />' );
    wrapper.document.write( ' </frameset>' );
    wrapper.document.write( '</html>' );
    wrapper.document.close( );

/* The following kludge is a concession to IE (tested on 6.0). It can't seem
 * to handle setting the location of the book in this context. Evaluating it
 * in its own context makes this action possible.
 */
    setTimeout( "returnToBook( );", 1 );
    return true;
  }
  else {
    return false;
  }
}

readGameNames( );
