function htmlify( string ) {
  string = string.replace( /\r\n/g, "<br />" );
  string = string.replace( /\n/g, "<br />" );
  string = string.replace( /\r/g, "<br />" );
  string = string.replace( /\'/g, "&apos;" );

  return string;
}


function printableCharacter( ) {
  var isWotW = top.isWotW( );

  var pw = open( "", "printableCharacter", "scrollbars=yes,menubar=yes,toolbar=yes,width=600,height=450,resizable=yes" );
  if( !pw.opener ) pw.opener = window;
  pw.focus( );

  pw.document.open( );
  pw.document.write( '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n' );
  pw.document.write( '<html xmlns="http://www.w3.org/1999/xhtml" lang="en-UK" xml:lang="en-UK">\n' );

  pw.document.write( ' <head>\n' );
  pw.document.write( '  <title>StatsKeeper :: Project Aon</title>\n' );
  pw.document.write( '  <meta content="text/html; charset=ISO-8859-1" http-equiv="Content-type" />\n' );
  pw.document.write( ' </head>\n' );

  pw.document.write( ' <body text="black" bgcolor="white">\n' );

  pw.document.write( '  <h1>Grey Star Character Sheet</h1>\n' );
  pw.document.write( '  <table border="0" width="100%">\n' );
  pw.document.write( '   <tr>\n' );
  pw.document.write( '    <td>&nbsp;</td>\n' );
  pw.document.write( '    <th>Innate</th>\n' );
  pw.document.write( '    <th>Modifiers</th>\n' );
  pw.document.write( '    <th>Current</th>\n' );
  pw.document.write( '   </tr>\n' );
  pw.document.write( '   <tr>\n' );
  pw.document.write( '    <th>Combat Skill</th>\n' );
  pw.document.write( '    <td align="center">' + top.c + '</td>\n' );
  pw.document.write( '    <td align="center">' + top.cm + '</td>\n' );
  pw.document.write( '    <td align="center">' + top.cc + '</td>\n' );
  pw.document.write( '   </tr>\n' );
  pw.document.write( '   <tr>\n' );
  pw.document.write( '    <th>Endurance</th>\n' );
  pw.document.write( '    <td align="center">' + top.e + '</td>\n' );
  pw.document.write( '    <td align="center">' + top.em + '</td>\n' );
  pw.document.write( '    <td align="center">' + top.ce + '</td>\n' );
  pw.document.write( '   </tr>\n' );
  pw.document.write( '   <tr>\n' );
  pw.document.write( '    <th>Willpower</th>\n' );
  pw.document.write( '    <td align="center">&nbsp;</td>\n' );
  pw.document.write( '    <td align="center">&nbsp;</td>\n' );
  pw.document.write( '    <td align="center">' + top.wp + '</td>\n' );
  pw.document.write( '   </tr>\n' );
  pw.document.write( '  </table>\n' );

  pw.document.write( '  <br />\n' );

  pw.document.write( '  <table border="0" width="100%">\n' );
  pw.document.write( '   <tr><th align="left">Lesser Magicks</th></tr>\n' );
  pw.document.write( '   <tr>\n' );
  pw.document.write( '    <td valign="top">\n' );
  for( var i = 0; i < 6; ++i ) {
    if( top.d[ i ] ) {
      pw.document.write( '     ' + top.d[ i ] + '<br />\n' );
    }
  }
  pw.document.write( '    </td>\n' );
  pw.document.write( '   </tr>\n' );
  pw.document.write( '  </table>\n' );
/* Put Higher Magicks here
  if( isMagnakai || isGrandmaster ) {
    pw.document.write( '  <table border="0" width="100%">\n' );
    pw.document.write( '   <tr><th colspan="2" align="left">Magnakai Disciplines</th></tr>\n' );
    pw.document.write( '   <tr>\n' );
    pw.document.write( '    <td valign="top">\n' );
    for( var i = 0; i < 5; ++i ) {
      if( top.md[ i ] ) {
        pw.document.write( '     ' + top.md[ i ] + '<br />\n' );
      }
    }
    pw.document.write( '    </td>\n' );
    pw.document.write( '    <td valign="top">\n' );
    for( var i = 5; i < 10; ++i ) {
      if( top.md[ i ] ) {
        pw.document.write( '     ' + top.md[ i ] + '<br />\n' );
      }
    }
    pw.document.write( '    </td>\n' );
    pw.document.write( '   </tr>\n' );
    pw.document.write( '  </table>\n' );
  }
*/
  pw.document.write( '  <table border="0" width="100%">\n' );
  pw.document.write( '   <tr><th colspan="2" align="left">Backpack</th></tr>\n' );
  pw.document.write( '   <tr>\n' );
  pw.document.write( '    <td valign="top">\n' );
  for( var i = 0; i < 4; ++i ) {
    if( top.b[ i ] ) {
      pw.document.write( '     ' + top.b[ i ] + '<br />\n' );
    }
  }
  pw.document.write( '    </td>\n' );
  pw.document.write( '    <td valign="top">\n' );
  for( var i = 4; i < 8; ++i ) {
    if( top.b[ i ] ) {
      pw.document.write( '     ' + top.b[ i ] + '<br />\n' );
    }
  }
  pw.document.write( '    </td>\n' );
  pw.document.write( '   </tr>\n' );
  pw.document.write( '  </table>\n' );
  pw.document.write( '  <br />\n' );

  pw.document.write( '  <table border="0" width="100%">\n' );
  pw.document.write( '   <tr><th colspan="2" align="left">Herb Pouch</th></tr>\n' );
  pw.document.write( '   <tr>\n' );
  pw.document.write( '    <td valign="top">\n' );
  for( var i = 0; i < 4; ++i ) {
    if( top.hp[ i ] ) {
      pw.document.write( '     ' + top.hp[ i ] + '<br />\n' );
    }
  }
  pw.document.write( '    </td>\n' );
  pw.document.write( '    <td valign="top">\n' );
  for( var i = 4; i < 8; ++i ) {
    if( top.hp[ i ] ) {
      pw.document.write( '     ' + top.hp[ i ] + '<br />\n' );
    }
  }
  pw.document.write( '    </td>\n' );
  pw.document.write( '   </tr>\n' );
  pw.document.write( '  </table>\n' );
  pw.document.write( '  <br />\n' );

  pw.document.write( '  <table border="0">\n' );
  pw.document.write( '   <tr><th align="left">Weapons</th></tr>\n' );
  pw.document.write( '   <tr>\n' );
  pw.document.write( '    <td valign="top">\n' );
  for( var i = 0; i < 2; ++i ) {
    if( top.w[ i ] ) {
      pw.document.write( '     ' + top.w[ i ] + '<br />\n' );
    }
  }
  pw.document.write( '    </td>\n' );
  pw.document.write( '   </tr>\n' );
  pw.document.write( '  </table>\n' );
  pw.document.write( '  <br />\n' );

  pw.document.write( '  <table border="0">\n' );
  pw.document.write( '   <tr><th align="left">Robe Pocket</th></tr>\n' );
  pw.document.write( '   <tr><td align="right">Nobles: </td><td>' + top.p + '</td></tr>\n' );
  pw.document.write( '  </table>\n' );
  pw.document.write( '  <br />\n' );

  pw.document.write( '  <table border="0" width="100%">\n' );
  pw.document.write( '   <tr><th colspan="2" align="left">Special Items</th></tr>\n' );
  pw.document.write( '   <tr>\n' );
  pw.document.write( '    <td valign="top">\n' );
  for( var i = 0; i < 6; ++i ) {
    if( top.s[ i ] ) {
      pw.document.write( '     ' + top.s[ i ] + '<br />\n' );
    }
  }
  pw.document.write( '    </td>\n' );
  pw.document.write( '    <td valign="top">\n' );
  for( var i = 6; i < 12; ++i ) {
    if( top.s[ i ] ) {
      pw.document.write( '     ' + top.s[ i ] + '<br />\n' );
    }
  }
  pw.document.write( '    </td>\n' );
  pw.document.write( '   </tr>\n' );
  pw.document.write( '  </table>\n' );
  pw.document.write( '  <br />\n' );

  pw.document.write( '  <table border="0" width="100%">\n' );
  pw.document.write( '   <tr><th align="left">Other Special Items</th></tr>\n' );
  pw.document.write( '   <tr><td>' + htmlify( top.os ) + '</td></tr>\n' );
  pw.document.write( '  </table>\n' );
  pw.document.write( '  <br />\n' );

  pw.document.write( '  <table border="0" width="100%">\n' );
  pw.document.write( '   <tr><th align="left">Notes</th></tr>\n' );
  pw.document.write( '   <tr><td>' + htmlify( top.n ) + '</td></tr>\n' );
  pw.document.write( '  </table>\n' );

  var bookSection = top.getBookLocation( );
  pw.document.write( '  <table border="0">\n' );
  pw.document.write( '   <tr><th colspan="2" align="left">Bookmark</th></tr>\n' );
  pw.document.write( '   <tr><td>' );
  if( bookSection.indexOf( "01gstw" ) != -1 ) pw.document.write( 'Grey Star the Wizard' );
  if( bookSection.indexOf( "02tfc" ) != -1 ) pw.document.write( 'The Forbidden City' );
  if( bookSection.indexOf( "03btng" ) != -1 ) pw.document.write( 'Beyond the Nightmare Gate' );
  if( bookSection.indexOf( "04wotw" ) != -1 ) pw.document.write( 'War of the Wizards' );
  pw.document.write( ': </td><td>' );
  if( bookSection.indexOf( "/sect" ) != -1 ) {
    bookSection = bookSection.slice( bookSection.lastIndexOf( "/sect" ) + 5, bookSection.length - 4 );
    pw.document.write( "Section " + bookSection + '</td></tr>\n' );
  }
  else {
    bookSection = bookSection.slice( bookSection.lastIndexOf( "/" ) + 1, bookSection.length - 4 );
    if( bookSection == "title" ) {
      bookSection = "Title Page";
    }
    else if( bookSection == "dedicate" ) {
      bookSection = "Dedication";
    }
    else if( bookSection == "acknwldg" ) {
      bookSection = "Acknowledgements";
    }
    else if( bookSection == "tssf" ) {
      bookSection = "The Story So Far. . .";
    }
    else if( bookSection == "gamerulz" ) {
      bookSection = "The Game Rules";
    }
    else if( bookSection == "powers" ) {
      bookSection = "Magical Powers";
    }
     else if( bookSection == "equipmnt" ) {
       bookSection = "Equipment";
     }
     else if( bookSection == "cmbtrulz" ) {
       bookSection = "Rules for Combat";
     }
     else if( bookSection == "sage" ) {
       bookSection = "Sage Advice";
     }
     else if( bookSection == "map" ) {
       bookSection = "Map";
     }
     else if( bookSection == "action" ) {
       bookSection = "Action Chart";
     }
     else if( bookSection == "crsumary" ) {
       bookSection = "Combat Rules Summary";
     }
     else if( bookSection == "crtable" ) {
       bookSection = "Combat Results Table";
     }
     else if( bookSection == "random" ) {
       bookSection = "Random Number Table";
     }
     else if( bookSection == "errata" ) {
       bookSection = "Errata";
     }
     else if( bookSection == "footnotz" ) {
       bookSection = "Footnotes";
     }
     else if( bookSection == "illstrat" ) {
       bookSection = "Table of Illustrations";
     }
     else if( bookSection == "license" ) {
       bookSection = "Project Aon License";
     }
    pw.document.write( bookSection + '</td></tr>\n' );
  }
  pw.document.write( '  </table>\n' );


  var date = new Date( );
  pw.document.write( '  <p>Printed: ' + date.toLocaleString( ) + '</p>\n' );

  pw.document.write( ' </body>' );
  pw.document.write( '</html>' );
  pw.document.close( );

  return true;
}
